#!/bin/bash

# Fri Nov  7 19:06:29 UTC 2014

# sequence of commands to install sphinx and modify/extend forum software


# update package stuff, install some db stuff (may or may not be optional?)
# install sphinx
apt-get update

apt-get install libmysql++-dev libmysqlclient15-dev 

dpkg -i sphinx-2.2.5_1-1_i386.deb

# copy over conf file 
cp sphinx.conf /usr/local/etc/

# set up sphinx search daemon as service
cp searchd /etc/init.d/
chmod +x /etc/init.d/searchd
update-rc.d searchd defaults

# create required directories
mkdir /var/data
mkdir -p /usr/local/var/data/

# create index; start search daemon
/usr/local/bin/indexer --all
/usr/local/bin/searchd

# minor edits to database for html snippets on new form
mysql -u root -pscience science_xmb1 < xmb_templates_mod.sql

# copy over new form and sphinx api code
cp food.php /var/www/smtalk/
cp sphinxapi.php /var/www/smtalk/

echo "... now surf to: http://192.168.1.146/smtalk/food.php"
